Bug 214949 - Do not require clamav-data package.
Do not require clamav-data package.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 03:16 EST by Jan ONDREJ
Modified: 2008-04-14 14:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 14:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2006-11-10 03:16:03 EST
Description of problem:
Clamav-data package is required by clamv-lib and may be other packages from
clamav. This package is too large and it is not necessary to download it. It can
help for users, which have slow connection or are paying for each megabyte.


Additional info:
You can make requisities on clamav-data or clamav-update for clamav base
packages. After installing clamav-update, it is possible to try to update latest
database. It is not necessary to download a 7MB file clamav-data with often old
content, while I have newer version of these files on my hard disk.

If don't have enough time, I can try to fix this (I think, I am an experienced
rpm maker). :-)
Comment 1 Enrico Scholz 2007-02-03 13:06:20 EST
-devel branch ships an alternative -data-empty subpackage which avoids such an
unneeded download.

I won't change this for FC-5/6 because I can not provide a clean update path there.
Comment 2 Jan ONDREJ 2008-01-08 16:13:48 EST
After a long time, thank you for this package. It works well for me, but I have
some improvements.

Please add an Require: clamav-update to this new package. It is necessary to
have at least one of them, clamav-data or clamav-update, elsewhere clamav does
not work.

And another improvement is, that after updating to new clamav, run freshclam
from clamav-data-empty %postinst script. Everyone, who have clamav-data-empty
installed need to update it's database before update from clamav-0.91 to
clamav-0.92 (now in fedora testing repository). Clamav 0.92 needs different
database like downloaded by older clamav.

May be it is also time to remove "Example" string from default
/etc/freshclam.conf script. When using freshclam with DNS support, it is
automatically redirected to a random server from clamav pool. I think it's not
necessary to configure other options manually. If you wish, you can number of
update checks daily for example to 2per1day. If you leave the "Example" string
here, first update will in clamav-data-empty will not work (you can simply
ignore this error if you want, but it's better to update freshclam automatically).

A am sorry, that I am writing more thing into one but, just last thing, which
has relates to these. The cron.d/clamav-update script users this:
MAILTO=root,postmaster,webmaster,clamav                                         
Why it is good to send reports to these addresses? At least two of them
(webmaster, clamav) are not redirected by default to an real user. I think it is
enough to send report to root or postmaster (not both of them). Everyone can
change this to it's own settings. I have problems with default settings on all
my machines and need to fix this on all of them.

If you need help to do these changes into your rpm, please tell me.
Comment 3 Bug Zapper 2008-04-04 00:34:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Enrico Scholz 2008-04-14 14:24:44 EDT
> Please add an Require: clamav-update to this new package. It is
> necessary to have at least one of them, clamav-data or clamav-update

no; you can propagate the database through other channels too
(e.g. cfengine).


> run freshclam from clamav-data-empty %postinst
> ...
> May be it is also time to remove "Example" string from default
> /etc/freshclam.conf script

I will not do this, because:

* I really hate programs which connect to the outside (aka "phoning
  home") without being configured to do this

* it will not work because network connections usually require
  additional site-local configurations (HTTPProxyServer)


> The cron.d/clamav-update script users this:
> MAILTO=root,postmaster,webmaster,clamav Why it is good to send
> reports to these addresses?

Years ago, people complained that nobody would see the cronjob
messages because systems are not configured to deliver root mail to
a real user. So I made it as loud as possible.

Ok; it is trimmed down again to 'root' now...

Note You need to log in before you can comment on or make changes to this bug.